import { Session } from './Session';
interface GetSessionParams {
    /**
     * The length of time (in ms) which we will consider the session to be expired.
     */
    expiry: number;
    /**
     * Should save session to sessionStorage?
     */
    stickySession: boolean;
    /**
     * The current session (e.g. if stickySession is off)
     */
    currentSession?: Session;
    /**
     * The sampling rate of the Session. See integration configuration comments
     * for `replaysSamplingRate`.
     */
    samplingRate?: number;
}
/**
 * Get or create a session
 */
export declare function getSession({ expiry, currentSession, stickySession, samplingRate, }: GetSessionParams): {
    type: string;
    session: Session;
};
export {};
