import { RecordingEvent, WorkerRequest } from './types';
interface CreateEventBufferParams {
    useCompression: boolean;
}
export declare function createEventBuffer({ useCompression }: CreateEventBufferParams): EventBufferCompressionWorker | EventBufferArray;
export interface IEventBuffer {
    get length(): number;
    destroy(): void;
    addEvent(event: RecordingEvent, isCheckout?: boolean): void;
    finish(): Promise<string | Uint8Array>;
}
declare class EventBufferArray implements IEventBuffer {
    events: RecordingEvent[];
    constructor();
    destroy(): void;
    get length(): number;
    addEvent(event: RecordingEvent, isCheckout?: boolean): void;
    finish(): Promise<string>;
}
export declare class EventBufferCompressionWorker implements IEventBuffer {
    private worker;
    private eventBufferItemLength;
    private _id;
    constructor(worker: Worker);
    /**
     * Read-only incrementing counter
     */
    get id(): number;
    postMessage(args: WorkerRequest): void;
    init(): void;
    destroy(): void;
    get length(): number;
    addEvent(event: RecordingEvent, isCheckout?: boolean): void;
    sendEventToWorker: (event: RecordingEvent) => void;
    finishRequest: (id: number) => Promise<Uint8Array>;
    finish(): Promise<Uint8Array>;
}
export {};
