import { Session } from './Session';
interface CreateSessionParams {
    /**
     * Should save to sessionStorage?
     */
    stickySession: boolean;
    /**
     * The sampling rate of the Session. See integration configuration comments
     * for `replaysSamplingRate`.
     */
    samplingRate?: number;
}
/**
 * Create a new session, which in its current implementation is a Sentry event
 * that all replays will be saved to as attachments. Currently, we only expect
 * one of these Sentry events per "replay session".
 */
export declare function createSession({ stickySession, samplingRate, }: CreateSessionParams): Session;
export {};
